CVE-2007-2692

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The mysql_change_db function in MySQL 5.0.x before 5.0.40 and 5.1.x before 5.1.18 does not restore THD::db_access privileges when returning from SQL SECURITY INVOKER stored routines, which allows remote authenticated users to gain privileges.

References

http://bugs.mysql.com/bug.php?id=27337

http://dev.mysql.com/doc/refman/5.1/en/news-5-1-18.html

http://lists.mysql.com/announce/470

http://lists.opensuse.org/opensuse-security-announce/2008-02/msg00003.html

http://osvdb.org/34765

http://secunia.com/advisories/25301

http://secunia.com/advisories/26073

http://secunia.com/advisories/26430

http://secunia.com/advisories/27823

http://secunia.com/advisories/28637

http://secunia.com/advisories/28838

http://secunia.com/advisories/29443

http://secunia.com/advisories/30351

http://www.debian.org/security/2007/dsa-1413

http://www.mandriva.com/security/advisories?name=MDVSA-2008:028

http://www.redhat.com/support/errata/RHSA-2007-0894.html

http://www.redhat.com/support/errata/RHSA-2008-0364.html

http://www.securityfocus.com/archive/1/473874/100/0/threaded

http://www.securityfocus.com/bid/24011

http://www.securitytracker.com/id?1018070

http://www.ubuntu.com/usn/usn-588-1

http://www.vupen.com/english/advisories/2007/1804

https://exchange.xforce.ibmcloud.com/vulnerabilities/34348

https://issues.rpath.com/browse/RPL-1536

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9166

Details

Source: MITRE

Published: 2007-05-16

Updated: 2019-12-17

Risk Information

CVSS v2

Base Score: 6

Vector: AV:N/AC:M/Au:S/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 6.8

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:mysql:mysql:5.0.0:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.0.1:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.0.2:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.0.3:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.0.4:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.0.5:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.0.5.0.21:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.0.10:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.0.15:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.0.16:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.0.17:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.0.20:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.0.22.1.0.1:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.0.24:*:*:*:*:*:*:*

cpe:2.3:a:mysql:mysql:5.1.5:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.0:alpha:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.3:beta:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.6:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.7:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.8:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.9:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.11:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.12:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.13:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.14:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.18:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.19:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.21:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.22:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.27:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.33:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.0.37:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.1:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.2:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.3:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.4:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.6:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.7:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.8:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.9:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.10:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.11:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.12:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.13:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.14:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.15:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.16:*:*:*:*:*:*:*

cpe:2.3:a:oracle:mysql:5.1.17:*:*:*:*:*:*:*

Tenable Plugins

View all (14 total)

IDNameProductFamilySeverity
60406Scientific Linux Security Update : mysql on SL5.x i386/x86_64NessusScientific Linux Local Security Checks
medium
17832MySQL 5.0 < 5.0.40 Multiple VulnerabilitiesNessusDatabases
medium
41184SuSE9 Security Update : MySQL (YOU Patch Number 12044)NessusSuSE Local Security Checks
high
36399Mandriva Linux Security Advisory : mysql (MDVSA-2008:028)NessusMandriva Local Security Checks
medium
32425RHEL 5 : mysql (RHSA-2008:0364)NessusRed Hat Local Security Checks
medium
31783Ubuntu 6.06 LTS : mysql-dfsg-5.0 regression (USN-588-2)NessusUbuntu Local Security Checks
high
31638Ubuntu 6.06 LTS / 6.10 / 7.04 / 7.10 : mysql-dfsg-5.0 vulnerabilities (USN-588-1)NessusUbuntu Local Security Checks
high
30182SuSE 10 Security Update : MySQL (ZYPP Patch Number 4879)NessusSuSE Local Security Checks
high
30180openSUSE 10 Security Update : libmysqlclient-devel (libmysqlclient-devel-4873)NessusSuSE Local Security Checks
high
28336Debian DSA-1413-1 : mysql - multiple vulnerabilitiesNessusDebian Local Security Checks
medium
26009Mandrake Linux Security Advisory : MySQL (MDKSA-2007:177)NessusMandriva Local Security Checks
medium
3993Oracle MySQL < 5.1.18 Multiple VulnerabilitiesNessus Network MonitorDatabase
medium
25242MySQL 5.1 < 5.1.18 Multiple VulnerabilitiesNessusDatabases
medium
25198MySQL Crafted IF Clause Divide-by-zero NULL Dereference DoSNessusDatabases
medium